## erlang-p1-pam 1.0.10

=== Makefile ===
all: src

src:
	rebar compile

clean:
	rebar clean

.PHONY: clean src

## erlang-p1-pam 0.2014.05.05

=== debian/changelog ===
erlang-p1-pam (0.2014.05.05-2~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Mar 2017 18:20:44 +0100

erlang-p1-pam (0.2014.05.05-2) unstable; urgency=medium

  * Adjusted location and path for epam binary (Closes: #762198)
  * Added README.Debian regarding the epam binary (Closes: 762197)
  * Updated Standards-Version: 3.9.6 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 01 Oct 2014 14:36:31 +0200

erlang-p1-pam (0.2014.05.05-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.05.05

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 Jul 2014 17:42:27 +0200

erlang-p1-pam (0.2013.05.15-2) unstable; urgency=medium

  * Added correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 12:41:10 +0200

erlang-p1-pam (0.2013.05.15-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:34:00 +0200

=== debian/control ===
Source: erlang-p1-pam
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, libpam0g-dev, erlang-base (>= 17.3)
Standards-Version: 3.9.6
Section: libs
Homepage: http://github.com/processone/epam


Package: erlang-p1-pam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 17.3) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: pam authentication and accounting management for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/erlang-p1-pam


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_install priv/bin/* /usr/lib/erlang/p1_pam/bin/
	dh_auto_install


override_dh_gencontrol:
	find $(DESTDIR) -type d -empty -delete
	dh_gencontrol


override_dh_auto_clean:
	rm -f config.log config.status
	dh_auto_clean

## erlang-p1-pam 1.0.0

=== debian/changelog ===
erlang-p1-pam (1.0.0-2) unstable; urgency=medium

  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Wed, 17 Feb 2016 18:45:52 +0100

erlang-p1-pam (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 11:46:52 +0100

erlang-p1-pam (0.2015.02.23-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.02.23
  * Enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Tue, 18 Aug 2015 08:09:34 +0200

erlang-p1-pam (0.2014.05.05-3) unstable; urgency=medium

  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 14:18:28 +0200

=== debian/control ===
Source: erlang-p1-pam
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools, libpam0g-dev
Standards-Version: 3.9.7
Section: libs
Homepage: http://github.com/processone/epam
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-pam.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-pam.git

Package: erlang-p1-pam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: pam authentication and accounting management for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
+#export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-pam

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-pam_$1.tar.gz/" \
  https://github.com/processone/epam/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-pam 1.0.3

=== debian/changelog ===
erlang-p1-pam (1.0.3-3) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:53 +0100

erlang-p1-pam (1.0.3-2) unstable; urgency=medium

  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:31:19 +0100

erlang-p1-pam (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 15:45:10 +0200

erlang-p1-pam (1.0.2-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.2 (Closes: #762196)
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 14:29:45 +0200

erlang-p1-pam (1.0.0-5) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:44 +0200

erlang-p1-pam (1.0.0-4) unstable; urgency=medium

  * Build-Depend on erlang-crypto (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 12:14:10 +0200

erlang-p1-pam (1.0.0-3) unstable; urgency=medium

  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Enabled hardening

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 15:06:15 +0200

=== debian/control ===
Source: erlang-p1-pam
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-syntax-tools, libpam0g-dev
Standards-Version: 4.1.3
Section: libs
Homepage: http://github.com/processone/epam
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam

Package: erlang-p1-pam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: pam authentication and accounting management for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-pam

## erlang-p1-pam 1.0.4

=== debian/changelog ===
erlang-p1-pam (1.0.4-3) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 15:02:04 +0200

erlang-p1-pam (1.0.4-2) unstable; urgency=medium

  * Added debian/upstream/metadata
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:24:08 +0200

erlang-p1-pam (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Use secure copyright format uri in debian/copyright
  * Use https in debian/control's homepage field
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 23:06:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

## erlang-p1-pam 1.0.6

=== debian/changelog ===
erlang-p1-pam (1.0.6-2) unstable; urgency=medium

  * Fixed typo in long package description.
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 16:36:09 +0100

erlang-p1-pam (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:13:31 +0200

=== debian/control ===
Source: erlang-p1-pam
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-crypto,
               erlang-eunit,
               erlang-syntax-tools,
               libpam0g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam.git
Homepage: https://github.com/processone/epam

Package: erlang-p1-pam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: pam authentication and accounting management for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-pam

## erlang-p1-pam 1.0.9

=== debian/changelog ===
erlang-p1-pam (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 16:53:32 +0200

erlang-p1-pam (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8 (Closes: #961652)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 20:43:39 +0200

erlang-p1-pam (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7

 -- Philipp Huebner <debalance@debian.org>  Tue, 17 Mar 2020 17:39:52 +0100

## erlang-p1-pam 1.0.10

=== debian/changelog ===
erlang-p1-pam (1.0.10-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:37:30 +0100

erlang-p1-pam (1.0.10-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:42:34 +0100

erlang-p1-pam (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-pam.install

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 23:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools,
                libpam0g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam.git
 Homepage: https://github.com/processone/epam
@@ -22,6 +22,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends}
+Multi-Arch: allowed
 Description: pam authentication and accounting management for Erlang
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-pam_$1.tar.gz/" \
  https://github.com/processone/epam/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-pam 1.0.12

=== debian/changelog ===
erlang-p1-pam (1.0.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 13:05:42 +0100

erlang-p1-pam (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Updated Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:26:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar,
-               erlang-base (>= 1:19.2),
+               erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools,
                libpam0g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam.git
 Homepage: https://github.com/processone/epam
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base | ${erlang-abi:Depends},
          ${erlang:Depends}
 Multi-Arch: allowed
 Description: pam authentication and accounting management for Erlang

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 
 override_dh_auto_install:
+	dh_auto_install
 	dh_install priv/bin/* /usr/lib/erlang/p1_pam/bin/
-	dh_auto_install
 
 
 override_dh_gencontrol:

## erlang-p1-pam 1.0.14

=== debian/changelog ===
erlang-p1-pam (1.0.14-3) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 10:55:17 +0100

erlang-p1-pam (1.0.14-2) unstable; urgency=medium

  * Dropped debian/erlang-p1-pam.install, added debian/source/options and
    fixed debian/rules (closes: #1044733)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-pam.lintian-overrides -> debian/lintian-overrides
  * Updated debian/patches/epam_bin_path.diff

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:09:25 +0100

erlang-p1-pam (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * Updated Erlang dependencies
  * Refreshed patches
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 12:49:24 +0100

erlang-p1-pam (1.0.12-3) unstable; urgency=medium

  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Refreshed debian/patches/epam_bin_path.diff
  * Updated debian/erlang-p1-pam.lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 11:35:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
+               dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools,
                libpam0g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pam.git
 Homepage: https://github.com/processone/epam
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends}
 Multi-Arch: allowed
 Description: pam authentication and accounting management for Erlang

=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,15 @@
 	./configure
 	dh_auto_configure
 
-
 override_dh_auto_install:
 	dh_auto_install
 	dh_install priv/bin/* /usr/lib/erlang/p1_pam/bin/
-
+	ln -s /usr/lib/erlang/lib/p1_pam-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/epam-$(DEB_VERSION_UPSTREAM)
 
 override_dh_gencontrol:
 	find $(DESTDIR) -type d -empty -delete
 	dh_gencontrol
 
-
 override_dh_auto_clean:
-	rm -f config.log config.status
+	rm -rf compile_commands.json config.log config.status vars.config
 	dh_auto_clean
